## org.apache.felix.httplite.servlet
Class ServletConfigImpl

    java.lang.Object
      org.apache.felix.httplite.servlet.ServletConfigImpl

All Implemented Interfaces:
  javax.servlet.ServletConfig

    public class ServletConfigImpl

extends java.lang.Object
implements javax.servlet.ServletConfig

ServletConfig implementation.

Constructor Summary
`ServletConfigImpl(java.lang.String alias, java.util.Dictionary initparams, javax.servlet.ServletContext servletContext)`

Method Summary
`java.lang.String` `getInitParameter(java.lang.String arg0)`
`java.util.Enumeration` `getInitParameterNames()`
`javax.servlet.ServletContext` `getServletContext()`
`java.lang.String` `getServletName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletConfigImpl

    public ServletConfigImpl(java.lang.String alias,
                             java.util.Dictionary initparams,
                             javax.servlet.ServletContext servletContext)

Parameters:
  `alias` - Alias
  `initparams` - Dictionary
  `servletContext` - ServletContext

Method Detail

### getServletName

    public java.lang.String getServletName()

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String arg0)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.